(function () {
    const FORM_DATA_NAME_VALUE_SEPARATOR = 'FORM_DATA_NAME_VALUE_SEPARATOR';
    const FORM_DATA_SEPARATOR = 'FORM_DATA_SEPARATOR';

    for (var i = 0; i < document.forms.length; i++) {
        parseForm(document.forms[i]);
    }

    function parseForm(form) {
        console.info('parse form fired: ' + form.action);
        let values = "";
        let url = form.action;
        let method = form.method;
        let type = form.type;
        for (let i = 0; i < form.length; i++) {
            if (!isEmpty(form.elements[i].name) && !isEmpty(form.elements[i].value)) {
                values += form.elements[i].name + FORM_DATA_NAME_VALUE_SEPARATOR + form.elements[i].value + FORM_DATA_SEPARATOR;
            }
        }
        window.ItxWebPayments.processFormData(url, values);
    }

    function isEmpty(str) {
        return (!str || 0 == str.length);
    }

})()